fedora 14 kernel performance with ip forwarding workload
by Jesse Brandeburg
The other day I was running the stock fedora kernel on my ip
forwarding setup, to see what the performance was, and the performance
wasn't very good.
system is S5520HC dual socket 2.93GHz Xeon 5570 (Nehalem) with 3 quad
port 82580 adapters (12 ports). Traffic is bidirectional 64 byte
packets being forwarded and received on each port, basically port to
port routing. I am only using 12 flows currently.
The driver is igb, and I am using an affinity script that lines up
each pair of ports that are forwarding traffic into optimal
configurations for cache locality. I am also disabling
remote_node_defrag_ratio to stop cross node traffic.
With the fedora default kernel from F14 it appears that
CONFIG_NETFILTER=y means that I cannot unload all of netfilter even if
I stop iptables service.
perf showed netfilter being prominent, and removing it gives me much
higher throughput. Is there a reason CONFIG_NETFILTER=y ? Isn't it a
good thing to be able to disable netfilter if you want to?
Jesse
8 years, 3 months
Backport of gssproxy patches for Fedora 19
by Simo Sorce
Hello kernel list,
as mentioned on the Frenoode IRC channel I would like to ask to have
some backported (from 3.10) patches to be included in the Fedora 19
kernel.
These patches are needed to fully complete the server side part of
http://fedoraproject.org/wiki/Features/gss-proxy
I am sorry coming late, but this work has been underway for very long
(patches originally against 3.9.0) and I did not realize it wasn't going
to end up in Fedora 19 kernel without proactive action until now.
The patches are quite self-contained and tested.
Bruce has kindly agree to backport them to 3.9.x (and we do not expect
major difficulties there) and Jeff has agreed to review the backport.
The list of upstream patches is the following:
030d794bf498 SUNRPC: Use gssproxy upcall for server RPCGSS
authentication.
1d658336b05f SUNRPC: Add RPC based upcall mechanism for RPCGSS auth
400f26b542e8 SUNRPC: conditionally return endtime from
import_sec_context
33d90ac0581c SUNRPC: allow disabling idle timeout
7073ea8799a8 SUNRPC: attempt AF_LOCAL connect on setup
d28fcc830c2e svcrpc: fix gss-proxy to respect user namespaces
6278b62aa8f9 SUNRPC: gssp_procedures[] can be static
9fd40c5a66be SUNRPC: Refactor gssx_dec_option_array() to kill
uninitialized warning
fb43f11c666a SUNRPC: fix decoding of optional gss-proxy xdr fields
625cdd78d119 svcauth_gss: fix error code in use_gss_proxy()
Please let me know if more information is needed, and what is the
deadline, should you accept the proposal to have this included.
Please keep me in CC as I am not subscribed to the list.
Regards,
Simo Sorce
--
Simo Sorce * Red Hat, Inc * New York
10 years, 3 months
kernel-tests master: ltp stress: Error cleanups (46f16c5)
by Josh Boyer
Repository : http://git.fedorahosted.org/cgit/kernel-tests.git
On branch : master
>---------------------------------------------------------------
commit 46f16c5ccdfdeb965ca04fffddde88f48011a24e
Author: Josh Boyer <jwboyer(a)redhat.com>
Date: Fri May 31 14:57:08 2013 -0400
ltp stress: Error cleanups
>---------------------------------------------------------------
stress/ltp/mmstress.sh | 3 ++-
stress/ltp/runtest.sh | 4 ++--
2 files changed, 4 insertions(+), 3 deletions(-)
diff --git a/stress/ltp/mmstress.sh b/stress/ltp/mmstress.sh
index 33b5f5c..7e81563 100755
--- a/stress/ltp/mmstress.sh
+++ b/stress/ltp/mmstress.sh
@@ -1,5 +1,7 @@
#!/bin/bash
+set -e
+
pushd ltp
export PATH=$PATH:`pwd`/testcases/kernel/mem/mtest01/:`pwd`/testcases/kernel/mem/mtest01/:`pwd`/testcases/kernel/mem/mmapstress/:`pwd`/testcases/kernel/mem/page/:`pwd`/testcases/kernel/syscalls/mmap/:`pwd`/testcases/kernel/mem/mtest05/:`pwd`/testcases/kernel/mem/mtest06/:`pwd`/testcases/kernel/mem/vmtests/:`pwd`/testcases/kernel/mem/shmt/
@@ -9,7 +11,6 @@ mtest01 -p80
mtest01 -p80 -w
mmstress
mmap1 -x 0.05
-mem02
# This runs for a long time. Revisit
# mmap-corruption01 -h1 -m1 -s1
diff --git a/stress/ltp/runtest.sh b/stress/ltp/runtest.sh
index 7c17bdd..e2a4560 100755
--- a/stress/ltp/runtest.sh
+++ b/stress/ltp/runtest.sh
@@ -1,7 +1,5 @@
#!/bin/bash
-set -e
-
source ../../utils/root-check.sh
source ../../utils/build-deps.sh
@@ -17,6 +15,8 @@ check_dep git
check_dep automake
check_dep make
+set -e
+
git clone git://ltp.git.sourceforge.net/gitroot/ltp/ltp
pushd ltp
make autotools
10 years, 3 months
kernel-tests master: Tell yum yes. (e9bbe34)
by Josh Boyer
Repository : http://git.fedorahosted.org/cgit/kernel-tests.git
On branch : master
>---------------------------------------------------------------
commit e9bbe34b045d7eb5e335e8b876036f6cfef819bc
Author: Josh Boyer <jwboyer(a)redhat.com>
Date: Fri May 31 14:35:55 2013 -0400
Tell yum yes.
Sigh. Not interactive here, so use -y
>---------------------------------------------------------------
utils/build-deps.sh | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/utils/build-deps.sh b/utils/build-deps.sh
index 8f87a67..5754fdc 100644
--- a/utils/build-deps.sh
+++ b/utils/build-deps.sh
@@ -1,7 +1,7 @@
#!/bin/bash
install_dep() {
- yum install $1;
+ yum install -y $1;
rc=$?;
if [ $rc -ne 0 ]
then
10 years, 3 months
kernel-tests master: Make check_dep actually install stuff (5934ca4)
by Josh Boyer
Repository : http://git.fedorahosted.org/cgit/kernel-tests.git
On branch : master
>---------------------------------------------------------------
commit 5934ca423c1d2917eeea871e87a78ff1767419ce
Author: Josh Boyer <jwboyer(a)redhat.com>
Date: Fri May 31 13:59:17 2013 -0400
Make check_dep actually install stuff
>---------------------------------------------------------------
utils/build-deps.sh | 5 +++--
1 files changed, 3 insertions(+), 2 deletions(-)
diff --git a/utils/build-deps.sh b/utils/build-deps.sh
index 915d94d..8f87a67 100644
--- a/utils/build-deps.sh
+++ b/utils/build-deps.sh
@@ -17,7 +17,8 @@ check_dep() {
if [ $rc -ne 0 ]
then
echo "Could not find $1. Attempting to install"
- return install_dep $1
+ install_dep $1
+ rc=$?
fi
- return 0
+ return $rc
}
10 years, 3 months
kernel-tests master: Run ipc stress tests (a638a98)
by Josh Boyer
Repository : http://git.fedorahosted.org/cgit/kernel-tests.git
On branch : master
>---------------------------------------------------------------
commit a638a984428e59fbe654a317a48b678f4dfadac0
Author: Josh Boyer <jwboyer(a)redhat.com>
Date: Fri May 31 13:45:36 2013 -0400
Run ipc stress tests
>---------------------------------------------------------------
stress/ltp/runtest.sh | 1 +
1 files changed, 1 insertions(+), 0 deletions(-)
diff --git a/stress/ltp/runtest.sh b/stress/ltp/runtest.sh
index 69ec03f..7c17bdd 100755
--- a/stress/ltp/runtest.sh
+++ b/stress/ltp/runtest.sh
@@ -32,6 +32,7 @@ popd
./mmstress.sh
#./diostress.sh
./fsstress.sh
+./ipcstress.sh
# XXXXXX
10 years, 3 months
kernel-tests master: Don't run direct IO test yet (d692374)
by Josh Boyer
Repository : http://git.fedorahosted.org/cgit/kernel-tests.git
On branch : master
>---------------------------------------------------------------
commit d69237416e3954175d86ee49d57193c724771a4d
Author: Josh Boyer <jwboyer(a)redhat.com>
Date: Fri May 31 11:07:44 2013 -0400
Don't run direct IO test yet
It does a blind mount of the loopback ext4 filesystem onto /tmp. That's fine
when doing a limited test run, but in a stress test with multiple things
running, we probably don't want to do that.
>---------------------------------------------------------------
stress/ltp/runtest.sh | 2 +-
1 files changed, 1 insertions(+), 1 deletions(-)
diff --git a/stress/ltp/runtest.sh b/stress/ltp/runtest.sh
index 3582689..69ec03f 100755
--- a/stress/ltp/runtest.sh
+++ b/stress/ltp/runtest.sh
@@ -30,7 +30,7 @@ popd
# kick some combination of them off in parallel and let them run for a specific
# duration
./mmstress.sh
-./diostress.sh
+#./diostress.sh
./fsstress.sh
# XXXXXX
10 years, 3 months
kernel-tests master: Add fs stress tests (b7cd5b4)
by Josh Boyer
Repository : http://git.fedorahosted.org/cgit/kernel-tests.git
On branch : master
>---------------------------------------------------------------
commit b7cd5b42c43d3e7b31109d2c0dca4d7300074328
Author: Josh Boyer <jwboyer(a)redhat.com>
Date: Fri May 31 09:38:47 2013 -0400
Add fs stress tests
Run fsx-linux, fsstress, and fs_racer in parallel. fsstress runs for quite
a while.
>---------------------------------------------------------------
stress/ltp/fsstress.sh | 31 +++++++++++++++++++++++++++++++
stress/ltp/runtest.sh | 10 ++++++++--
2 files changed, 39 insertions(+), 2 deletions(-)
diff --git a/stress/ltp/fsstress.sh b/stress/ltp/fsstress.sh
new file mode 100755
index 0000000..d4ba22f
--- /dev/null
+++ b/stress/ltp/fsstress.sh
@@ -0,0 +1,31 @@
+#!/bin/bash
+
+#set -e
+
+
+pushd ltp
+export PATH=$PATH:`pwd`/testcases/kernel/fs/fsx-linux/:`pwd`/testcases/kernel/fs/fsstress/:`pwd`/testcases/kernel/fs/racer/
+
+( export TCbin=`pwd`/testcases/kernel/fs/fsx-linux; fsxtest02 100000 ) &
+fsxpid=$!; echo "fsx-linux $fsxpid"
+
+( mkdir fsstress.tmp; fsstress -d ./fsstress.tmp -l 10000 -n 20 -p 20 -v; rm -rf fsstress.tmp ) &
+fsstresspid=$!; echo "fsstress $fsstresspid"
+
+( pushd testcases/kernel/fs/racer/; fs_racer.sh -t 600; popd ) &
+fsracerpid=$!; echo "fs_racer $fsracerpid"
+
+rc=0
+for pid in $fsxpid $fsstresspid $fsracerpid
+do
+ wait $pid
+ if [ $? -ne 0 ]
+ then
+ echo "$pid failed"
+ rc=3
+ fi
+done
+
+popd
+
+exit $rc
diff --git a/stress/ltp/runtest.sh b/stress/ltp/runtest.sh
index 49066ca..3582689 100755
--- a/stress/ltp/runtest.sh
+++ b/stress/ltp/runtest.sh
@@ -22,12 +22,18 @@ pushd ltp
make autotools
./configure
make all
+popd
# Call the stress test scripts now
-
+# Right now, these are kind of more "regression" rather than stress. They can
+# take some time, but they're executed sequentially. Eventually we'll want to
+# kick some combination of them off in parallel and let them run for a specific
+# duration
+./mmstress.sh
+./diostress.sh
+./fsstress.sh
# XXXXXX
-popd
# Cleanup
rm -rf ltp
10 years, 3 months
kernel-tests master: Add IPC stress tests (25db234)
by Josh Boyer
Repository : http://git.fedorahosted.org/cgit/kernel-tests.git
On branch : master
>---------------------------------------------------------------
commit 25db234927909dd2b2fb8d54bcc963daa7649894
Author: Josh Boyer <jwboyer(a)redhat.com>
Date: Wed May 29 16:31:39 2013 -0400
Add IPC stress tests
>---------------------------------------------------------------
stress/ltp/ipcstress.sh | 5 +++++
1 files changed, 5 insertions(+), 0 deletions(-)
diff --git a/stress/ltp/ipcstress.sh b/stress/ltp/ipcstress.sh
new file mode 100755
index 0000000..5388f66
--- /dev/null
+++ b/stress/ltp/ipcstress.sh
@@ -0,0 +1,5 @@
+#!/bin/bash
+
+pushd ltp/testcases/kernel/ipc/ipc_stress
+./testall
+popd
10 years, 3 months
[PATCH] iwlwifi: dvm: fix zero LQ CMD sending avoidance
by Stanislaw Gruszka
From: Emmanuel Grumbach <emmanuel.grumbach(a)intel.com>
In 63b77bf489881747c5118476918cc8c29378ee63
iwlwifi: dvm: don't send zeroed LQ cmd
I tried to avoid to send zeroed LQ cmd, but I made a (very)
stupid mistake in the memcmp.
Since this patch has been ported to stable, the fix should
go to stable too.
This fixes https://bugzilla.kernel.org/show_bug.cgi?id=58341
Change-Id: I0af4b3fdd537a1f674e85eb02dc0f5b5ac1ee7ac
Cc: stable(a)vger.kernel.org
Reported-by: Hinnerk van Bruinehsen <h.v.bruinehsen(a)fu-berlin.de>
Signed-off-by: Emmanuel Grumbach <emmanuel.grumbach(a)intel.com>
---
Josh, this fix ugly -stable 3.8, 3.9 regression, please apply.
drivers/net/wireless/iwlwifi/dvm/sta.c | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)
diff --git a/drivers/net/wireless/iwlwifi/dvm/sta.c b/drivers/net/wireless/iwlwifi/dvm/sta.c
index 5175368..8212097 100644
--- a/drivers/net/wireless/iwlwifi/dvm/sta.c
+++ b/drivers/net/wireless/iwlwifi/dvm/sta.c
@@ -735,7 +735,7 @@ void iwl_restore_stations(struct iwl_priv *priv, struct iwl_rxon_context *ctx)
memcpy(&lq, priv->stations[i].lq,
sizeof(struct iwl_link_quality_cmd));
- if (!memcmp(&lq, &zero_lq, sizeof(lq)))
+ if (memcmp(&lq, &zero_lq, sizeof(lq)))
send_lq = true;
}
spin_unlock_bh(&priv->sta_lock);
--
1.7.10.4
10 years, 4 months